%Created by J.T.B. Overvelde - 18 April 2012
%Master's thesis - The Moving Noda Approach in Topology Optimization
%http://www.overvelde.com
%
%Main body of the MLPG mixed collocation method for solving a cantilever beam
%problem. Run this file to perform calculation and plot the results.

clear, clear global, close all, clc;

GlobalConst

%Make the Initial configuration of nodes and backgroundcells
InitMesh;

%Fid the displacement and stress
FindErrorNorm=1;
[ug,sg,ErrorNorm]=MLPG(FindErrorNorm);

ErrorNorm

%Plot everything
PlotMeshYN=1;
PlotResultYN=1;
PlotSome(PlotMeshYN,PlotResultYN,ug,sg);
